Bug 845540 - Review Request: xapool - open source XA JDBC Pool
Review Request: xapool - open source XA JDBC Pool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 852330
  Show dependency treegraph
 
Reported: 2012-08-03 07:38 EDT by gil cattaneo
Modified: 2012-11-13 04:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 04:01:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-08-03 07:38:13 EDT
Spec URL: http://gil.fedorapeople.org/xapool.spec
SRPM URL: http://gil.fedorapeople.org/xapool-1.5.0-1.fc16.src.rpm
Description: XAPool is a software component which allows to:

 - Store objects with a Generic Pool
 - Export a DataSource (javax.sql.DataSource)
 - Export a XADataSource (javax.sql.XADataSource)

Fedora Account System Username:gil
Comment 1 gil cattaneo 2012-08-06 04:24:03 EDT
xapool is a BR for hibenate-testing 4.x. hibenate-testing is required to perform tests
Comment 2 Marek Goldmann 2012-10-10 11:30:50 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

== Issues ==

1. Please repackage the Source0 and remove all binary files like .class
2. Use "LGPLv2+" as license.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[!]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (with incorrect FSF address)", "*No copyright* LGPL (with incorrect
     FSF address)", "Unknown or generated". 3 files have unknown license.
     Detailed output of licensecheck in
     /home/goldmann/tmp/815060-classmate/845540-xapool/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (xapool-1.5.0-src.tgz) Source1 (xapool-1.5.0.pom)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed


Rpmlint
-------
Checking: xapool-1.5.0-1.fc18.noarch.rpm
          xapool-javadoc-1.5.0-1.fc18.noarch.rpm
          xapool-1.5.0-1.fc18.src.rpm
xapool.noarch: W: summary-not-capitalized C open source XA JDBC Pool
xapool.noarch: W: spelling-error %description -l en_US javax -> java, java x, Java
xapool.noarch: W: spelling-error %description -l en_US sql -> sq, sol, sq l
xapool.noarch: W: spelling-error %description -l en_US DataSource -> Data Source, Data-source, Outsource
xapool.noarch: W: spelling-error %description -l en_US XADataSource -> Outsource
xapool.noarch: W: invalid-license LGPL
xapool-javadoc.noarch: W: invalid-license LGPL
xapool.src: W: summary-not-capitalized C open source XA JDBC Pool
xapool.src: W: spelling-error %description -l en_US javax -> java, java x, Java
xapool.src: W: spelling-error %description -l en_US sql -> sq, sol, sq l
xapool.src: W: spelling-error %description -l en_US DataSource -> Data Source, Data-source, Outsource
xapool.src: W: spelling-error %description -l en_US XADataSource -> Outsource
xapool.src: W: invalid-license LGPL
3 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xapool-javadoc xapool
xapool-javadoc.noarch: I: enchant-dictionary-not-found en_US
xapool-javadoc.noarch: W: invalid-license LGPL
xapool.noarch: W: summary-not-capitalized C open source XA JDBC Pool
xapool.noarch: W: invalid-license LGPL
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
xapool-1.5.0-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    java  
    jpackage-utils  

xapool-javadoc-1.5.0-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  



Provides
--------
xapool-1.5.0-1.fc18.noarch.rpm:
    
    mvn(com.experlog:xapool)  
    xapool = 1.5.0-1.fc18

xapool-javadoc-1.5.0-1.fc18.noarch.rpm:
    
    xapool-javadoc = 1.5.0-1.fc18



MD5-sum check
-------------
http://download.forge.objectweb.org/xapool/xapool-1.5.0-src.tgz :
  CHECKSUM(SHA256) this package     : b43c892563e83e42e2766643f50ff0e31cb732013be5fe10a8a9250149dfc2ab
  CHECKSUM(SHA256) upstream package : b43c892563e83e42e2766643f50ff0e31cb732013be5fe10a8a9250149dfc2ab
http://repo1.maven.org/maven2/com/experlog/xapool/1.5.0/xapool-1.5.0.pom :
  CHECKSUM(SHA256) this package     : ea5a4fc41c33b83c8d8d14f548bab7048efd89b16d4a97340e0cc46da8fdd94a
  CHECKSUM(SHA256) upstream package : ea5a4fc41c33b83c8d8d14f548bab7048efd89b16d4a97340e0cc46da8fdd94a


Generated by fedora-review 0.2.2 (Unknown) last change: Unknown
Buildroot used: fedora-rawhide-x86_64
Command line :/home/goldmann/git/FedoraReview/try-fedora-review -b 845540 -v -m fedora-rawhide-x86_64



Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4578234

Please fix issues I mentioned at the beginning.
Comment 3 gil cattaneo 2012-10-10 12:27:24 EDT
Spec URL: http://gil.fedorapeople.org/xapool/1/xapool.spec
SRPM URL: http://gil.fedorapeople.org/xapool/1/xapool-1.5.0-2.fc16.src.rpm

- fix license tag
- repackaged Source0 and removed all binary files
Comment 4 Marek Goldmann 2012-10-10 12:52:27 EDT
APPROVED
Comment 5 gil cattaneo 2012-10-10 12:55:28 EDT
New Package SCM Request
=======================
Package Name: xapool
Short Description: Open source XA JDBC Pool
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2012-10-10 12:57:05 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-10 13:40:56 EDT
xapool-1.5.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xapool-1.5.0-2.fc18
Comment 8 Fedora Update System 2012-10-10 13:50:02 EDT
xapool-1.5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xapool-1.5.0-2.fc17
Comment 9 Fedora Update System 2012-10-10 21:01:24 EDT
xapool-1.5.0-2.fc17 has been pushed to the Fedora 17 testing repository.

Note You need to log in before you can comment on or make changes to this bug.